#include <iostream>
#include <utility>
#include <vector>
#include <fstream>
#include "cmath"
#include "algorithm"


using namespace std;

#define int long long
#define double long double


int getMEX(vector<int> a,int left,int right) {
    vector<int> counts(right-left+1);

    for (int i = left; i < right; ++i) {
        if (a[i] <(right-left+1)) {
            counts[a[i]]++;
        }
    }
    for (int i = 0; i < counts.size(); ++i) {
        if (counts[i] == 0) return i;
    }
    return right-left+1;
}

signed main() {
    int k = 0;
    int n, w;
    cin >> n >> w;
    vector<int> a(n);
    for (int i = 0; i < n; ++i) {
        cin >> a[i];

    }

    for (int left = 0; left < n; ++left) {
        for (int right = left + 1; right <= n; ++right) {
            int mex = getMEX(a,left,right);
            if (mex >= w) {
                k = k+n-right+1;
                break;
            }
        }
    }
    cout<<k;

}